POST /v1/data/truth-social/post/run
Pricing: $0.0025 per post ($2.50 per 1,000).
Request
Send the inputs underparams. Only the keys below are accepted; any other key returns 422 invalid_params.
Example
curl -X POST "https://api.mindcase.co/v1/data/truth-social/post/run?wait=true" \
-H "Authorization: Bearer $MINDCASE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"params": {
"handles": [
"realDonaldTrump",
"bolsonarojair",
"@WhiteHouse"
],
"maxResults": 10
}
}'
import os, requests
r = requests.post(
"https://api.mindcase.co/v1/data/truth-social/post/run",
params={"wait": "true"},
headers={"Authorization": f"Bearer {os.environ['MINDCASE_API_KEY']}"},
json={"params": {
"handles": [
"realDonaldTrump",
"bolsonarojair",
"@WhiteHouse"
],
"maxResults": 10
}},
)
job = r.json()
rows = job.get("data", []) # if job["status"] == "running", poll /v1/jobs/{job_id}/results
const r = await fetch("https://api.mindcase.co/v1/data/truth-social/post/run?wait=true", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.MINDCASE_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({ params: {
"handles": [
"realDonaldTrump",
"bolsonarojair",
"@WhiteHouse"
],
"maxResults": 10
} }),
});
const job = await r.json();
const rows = job.data ?? []; // if job.status === "running", poll /v1/jobs/{job_id}/results
Response fields
Each row indata is one post, keyed by these fields.
| Field | Name | Type |
|---|---|---|
postId | Post ID | text |
postUrl | Post URL | url |
postText | Post Text | text |
postedDate | Posted Date | text |
language | Language | text |
likes | Likes | number |
reposts | Reposts | number |
replies | Replies | number |
isPinned | Is Pinned | boolean |
isQuote | Is Quote | boolean |
isSensitive | Is Sensitive | boolean |
repostedPostUrl | Reposted Post URL | url |
repostedPostText | Reposted Post Text | text |
originalPostDate | Original Post Date | text |
quotedPostUrl | Quoted Post URL | url |
quotedPostText | Quoted Post Text | text |
hashtags | Hashtags | object_array |
mentions | Mentions | object_array |
linkCard | Link Card | object |
postMedia | Post Media | object_array |
authorId | Author ID | text |
authorHandle | Author Handle | text |
Example response
Abridged: long text and lists are shortened.{
"job_id": "7f3a1c2e-0b9d-4c55-9a51-3f2e8d1b6a40",
"agent": "truth-social/post",
"status": "completed",
"row_count": 1,
"truncated": false,
"data": [
{
"isPinned": false,
"repostedPostText": null,
"linkCard": null,
"postMedia": [
{
"id": "114871738265859583",
"type": "video",
"url": "https://static-assets-1.truthsocial.com/tmtg:prime-ts-assets/media_attachments/files/114/871/738/265/859/583/original/fd378fd59995965e.mp4",
"previewUrl": "https://static-assets-1.truthsocial.com/tmtg:prime-ts-assets/media_attachments/thumbnails/114/871/738/265/859/583/original/80108ba8e5a5a5c3.jpg",
"textUrl": null,
"description": null
}
],
"authorId": "113947427750367919",
"quotedPostText": null,
"language": "pt",
"postText": "- Jair Bolsonaro responde à carta de @realDonaldTrump .",
"postedDate": "2025-07-18T01:53:53.055Z",
"authorHandle": "bolsonarojair",
"isQuote": false,
"reposts": 483,
"repostedPostUrl": null,
"postUrl": "https://truthsocial.com/@bolsonarojair/114871738890778726",
"likes": 1958,
"originalPostDate": null,
"replies": 187,
"quotedPostUrl": null,
"mentions": [
{
"id": "107780257626128497",
"username": "realDonaldTrump",
"url": "https://truthsocial.com/@realDonaldTrump"
}
],
"isSensitive": false,
"postId": "114871738890778726",
"hashtags": []
}
]
}